#include <stdio.h>
#include <stdlib.h>

/*
   MICS 2016 Problem 1 -- UNI Solution
   File:  prob1.c
   Prints ASCII art "UNI" scaled by a single integer scaling factor.
*/

// prototypes
void U_line(int scale, int line);
void printChars(char ch, int count);
void N_line(int scale, int line);
void I_line(int scale, int line);

int main() {
	int scale, line;
	
	scanf("%d", &scale);
	
	for (line = 1; line <= scale*2 + 2; line++) {
		U_line(scale, line);
		printChars(' ', scale);
		N_line(scale, line);
		printChars(' ', scale);
		I_line(scale, line);
		printf("\n");
	} // end for

} // end main

void U_line(int scale, int line) {
	int width = scale * 5;
	int height = scale * 2 + 2;
	int topPartLast =  height - scale; 
	if (line == 1) {
		printChars(' ', width);
	} else if (line <= topPartLast) {
		printChars('|', scale);
		printChars(' ', width - 2*scale);
		printChars('|', scale);
	} else if (line < height) {
		printChars('|', scale);
		printChars('_', width - 2*scale);
		printChars('|', scale);		
	} else {
		printChars('\\', scale);
		printChars('_', width - 2*scale);
		printChars('/', scale);
	} // end if
} // end U_line

void printChars(const char ch, int counter) {
	int count;
	for (count = 1; count <= counter; count++) {
		printf("%c",ch);
	} // end for
} // end spacesBetween

void N_line(int scale, int line) {
	int width = scale * 5;
	int height = scale * 2 + 2;
	int topPartLast =  height - scale; 
	if (line == 1) {
		printChars(' ', width);
	} else {
		printChars('|', scale);
		printChars(' ', line - 2);
		printChars('\\', scale);
		printChars(' ', width - 3*scale - (line-2));
		printChars('|', scale);
	} // end if
} // end N_line

void I_line(int scale, int line) {
	int width = scale * 5;
	int height = scale * 2 + 2;
	int topPartLast =  height - scale; 
	if (line <= scale) {
		printChars('_', width);
	} else if (line <= height - scale) {
		printChars(' ', (width - scale)/2);
		printChars('|', scale);
		printChars(' ', (width - scale)/2);
	} else if (line <= height -scale + 1) {
		printChars('_', scale*2);
		printChars('|', scale);
		printChars('_', scale*2);		
	} else {
		printChars('_', width);
	} // end if
} // end I_line
